<nav class="navbar fixed-top navbar-expand-md navbar-dark bg-dark" *ngIf="this.service.role !== undefined">
  <div class="container">
    <a class="navbar-brand" [routerLink]="['/home']">Task Tracking System</a>
    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNavMarkup"
            aria-controls="navbarNavMarkup" aria-expanded="false" aria-label="Navigation">
      <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="navbarNavMarkup">
      <div class="navbar-nav me-auto mb-2 mb-lg-0">
        <div class="navbar-nav" *ngIf="this.service.role === 'Admin'">
          <a class="nav-item nav-link" [routerLink]="['/home']" [routerLinkActive]="['active']">Admin panel</a>
        </div>
        <div class="navbar-nav" *ngIf="this.service.role === 'Manager' || this.service.role === 'Employee'">
          <a class="nav-item nav-link" [routerLink]="['/home']" [routerLinkActive]="['active']">Projects</a>
        </div>
      </div>
      <div class="d-flex">
        <button class="btn btn-warning" (click)="onLogout()">Logout</button>
      </div>
    </div>
  </div>
</nav>
